
Core - Bug # 40814

Task # 40095 (Resolved): Move core to namespaces

Status: Rejected Priority: Should have
Author: Mario Rimann Category: FormEngine aka TCEforms
Created: 2012-09-11 Assigned To:
Updated: 2012-10-10 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Exception in TCA tree after Namespace changes (part 2)
Description

Same problem as with #40795 - but that change was merged before I could give a feedback during the review.

The message of the exception changed a bit after the change introduced with #40795:

#1: PHP Catchable Fatal Error: Argument 1 passed to TYPO3\CMS\Backend\Tree\AbstractTree::setNodeRenderer() must be
an instance of
TYPO3\CMS\Backend\Tree\Renderer\AbstractTree, instance of
TYPO3\CMS\Core\Tree\TableConfiguration\ExtJsArrayTreeRenderer given,
called in /path/to/typo3_src/typo3/sysext/backend/Classes/Form/Element/TreeElement.php on line 91 and defined in
/path/to/typo3_src/typo3/sysext/backend/Classes/Tree/AbstractTree.php line 71

Steps to reproduce:
- Install EXT:news (as it makes use of the tcatree-feature)
- Go to List module
- Add a record of type "News Category"

Expected:
- Form for creating a News Category is shown

Current:
- the above mentioned Exception is shown

History
#1 - 2012-09-25 20:52 - Helmut Hummel
- Parent task set to #40095

#2 - 2012-09-26 19:06 - Wouter Wolters

Mario: AFAIK this is already fixed in master. Can you verify if the problem is  solved?

#3 - 2012-10-04 08:45 - Mario Rimann

Wouter Wolters wrote:
Mario: AFAIK this is already fixed in master. Can you verify if the problem is  solved?

Just verified: You're right, problem is solved on a clean master with current tx_news version.

#4 - 2012-10-10 12:55 - Steffen Ritter
- Status changed from New to Rejected

no fix needed anymore
